# ApplicationFramework
TKCDF
CDF

# CDF_MetaDataDriverError Class Reference

`#include <CDF_MetaDataDriverError.hxx>`

## Public Member Functions

Standard_EXPORT | CDF_MetaDataDriverError ()
Standard_EXPORT | CDF_MetaDataDriverError (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
static Standard_EXPORT | Handle (CDF_MetaDataDriverError) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const

## Friends

Standard_EXPORT friend Handle_Standard_Type & | CDF_MetaDataDriverError_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT CDF_MetaDataDriverError::CDF_MetaDataDriverError | ( |  | ) | `[inline]`

Standard_EXPORT CDF_MetaDataDriverError::CDF_MetaDataDriverError | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const CDF_MetaDataDriverError::Handle | ( | Standard_Type |  | ) | const

static Standard_EXPORT CDF_MetaDataDriverError::Handle | ( | CDF_MetaDataDriverError |  | ) | const`[static]`

static Standard_EXPORT void CDF_MetaDataDriverError::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

static Standard_EXPORT void CDF_MetaDataDriverError::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

virtual Standard_EXPORT void CDF_MetaDataDriverError::Throw | ( |  | ) | const`[private, virtual]`

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& CDF_MetaDataDriverError_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- CDF_MetaDataDriverError.hxx